> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand Boards by Location

> Retrieves all brand boards associated with the specified location.



## OpenAPI

````yaml /api-reference/brand-boards/openapi.json get /brand-boards/location/{locationId}
openapi: 3.0.0
info:
  title: Brand Boards API
  description: >-
    Documentation for Brand Boards API — create, retrieve, update, and delete
    brand boards that store brand colors, fonts, and logos for a location.
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Brand Boards
    description: Manage brand boards containing colors, fonts, and logos
paths:
  /brand-boards/location/{locationId}:
    get:
      tags:
        - Brand Boards
      summary: Get Brand Boards by Location
      description: Retrieves all brand boards associated with the specified location.
      operationId: get-brand-boards-by-location
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          in: path
          description: The location ID to retrieve brand boards for
          required: true
          schema:
            type: string
            example: ve9EPM428h8vShlRW1KT
      responses:
        '200':
          description: Brand boards retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBrandBoardsResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer: []
components:
  schemas:
    ListBrandBoardsResponseDTO:
      type: object
      properties:
        brandBoards:
          type: array
          description: List of brand boards for the location
          items:
            $ref: '#/components/schemas/BrandBoardDTO'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
    BrandBoardDTO:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the brand board
          example: bb_abc123def456
        locationId:
          type: string
          description: Location ID the brand board belongs to
          example: ve9EPM428h8vShlRW1KT
        name:
          type: string
          description: Name of the brand board
          example: Main Brand Identity
        colors:
          type: array
          description: Brand colors
          items:
            $ref: '#/components/schemas/BrandColorDTO'
        fonts:
          type: array
          description: Brand fonts
          items:
            $ref: '#/components/schemas/BrandFontDTO'
        logos:
          type: array
          description: Brand logos
          items:
            $ref: '#/components/schemas/BrandLogoDTO'
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        updatedAt:
          type: string
          format: date-time
          description: Last update timestamp
    BrandColorDTO:
      type: object
      properties:
        name:
          type: string
          description: Display name for the color
          example: Primary Blue
        hex:
          type: string
          description: Hex color code
          example: '#1A73E8'
      required:
        - name
        - hex
    BrandFontDTO:
      type: object
      properties:
        name:
          type: string
          description: Font family name
          example: Inter
        url:
          type: string
          description: URL to the font file or CDN
          example: https://fonts.googleapis.com/css2?family=Inter
      required:
        - name
    BrandLogoDTO:
      type: object
      properties:
        name:
          type: string
          description: Logo variant name
          example: Primary Logo
        url:
          type: string
          description: URL to the logo image file
          example: https://storage.example.com/logos/primary-logo.png
      required:
        - name
        - url
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````